<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_imsenterprise', language 'mk', version '3.3'.
 *
 * @package     enrol_imsenterprise
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aftersaving...'] = 'Откако еднаш ќе ги снимите Вашите поставувања, може да сакате да ги промените подоцна...';
$string['allowunenrol'] = 'Дозволи IMS податоците да ги бришат студенти/наставници';
$string['allowunenrol_desc'] = 'If enabled, course enrolments will be removed when specified in the Enterprise data.';
$string['basicsettings'] = 'Основни поставувања';
$string['categoryidnumber'] = 'Allow category idnumber';
$string['categoryidnumber_desc'] = 'If enabled IMS Enterprise will create category with idnumber';
$string['categoryseparator'] = 'Category separator character';
$string['categoryseparator_desc'] = 'Required when "Category idnumber" is enabled. Character to separate the category name and idnumber.';
$string['coursesettings'] = 'Опции за податоци на курс';
$string['createnewcategories'] = 'Креирај нови (скриени) курс категории ако не се пронајдени во Moodle';
$string['createnewcategories_desc'] = 'If the <org><orgunit> element is present in a course\'s incoming data, its content will be used to specify a category if the course is to be created from scratch. The plugin will NOT re-categorise existing courses.

If no category exists with the desired name, then a hidden category will be created.';
$string['createnewcourses'] = 'Креирај нови (скриени) курсеви ако не се пронајдени во Moodle';
$string['createnewcourses_desc'] = 'If enabled, the IMS Enterprise enrolment plugin can create new courses for any it finds in the IMS data but not in Moodle\'s database. Any newly-created courses are initially hidden.';
$string['createnewusers'] = 'Креирај нови сметки за корисници кои не се уште регистрирани во Moodle';
$string['createnewusers_desc'] = 'IMS Enterprise enrolment data typically describes a set of users. If enabled, accounts can be created for any users not found in Moodle\'s database.

Users are searched for first by their "idnumber", and second by their Moodle username. Passwords are not imported by the IMS Enterprise plugin. The use of an authentication plugin is recommended for authenticating users.';
$string['cronfrequency'] = 'Честота на обработување';
$string['deleteusers'] = 'Избриши корисничка сметка кога е наведена во IMS податоците';
$string['deleteusers_desc'] = 'If enabled, IMS Enterprise enrolment data can specify the deletion of user accounts (if the "recstatus" flag is set to 3, which represents deletion of an account). As is standard in Moodle, the user record isn\'t actually deleted from Moodle\'s database, but a flag is set to mark the account as deleted.';
$string['doitnow'] = 'Изврши IMS Enterprse внес веднаш';
$string['emptyattribute'] = 'Leave it empty';
$string['filelockedmail'] = 'Текстуалната датотека што Вие ја користите за IMS податочно ориентирани записи ({$a}) не може да бидат избришани од закажан процес. Ова обично значи дека пермисиите се погрешни. Поправете ги овие пермисии за  да може Moodle да ги избрише овие датотеки, инаку може да се обработуваат непрекинато.';
$string['filelockedmailsubject'] = 'Важна грешка. Датотека со записи';
$string['fixcasepersonalnames'] = 'Промени ги личните имиња во големина на наслов';
$string['fixcaseusernames'] = 'Промени ги корисничките имиња во мали букви';
$string['ignore'] = 'Игнорирај';
$string['importimsfile'] = 'Import IMS Enterprise file';
$string['imsenterprise:config'] = 'Configure IMS Enterprise enrol instances';
$string['imsenterprisecrontask'] = 'Enrolment file processing';
$string['imsrolesdescription'] = 'IMS Enterprice спецификацијата вклучува 8 различни видови улоги. Изберете како сакате да бидат доделени во Moodle, вклучувајќи кои од нив треба да бидат игнорирани.';
$string['location'] = 'Локација на датотеката';
$string['logtolocation'] = 'Локација на датотеката со излез кон записник (празно за да не се запишува)';
$string['mailadmins'] = 'Извести го админстраторот по е-пошта';
$string['mailusers'] = 'Извести ги корисниците по е-пошта';
$string['messageprovider:imsenterprise_enrolment'] = 'IMS Enterprise enrolment messages';
$string['miscsettings'] = 'Разно';
$string['nestedcategories'] = 'Allow nested categories';
$string['nestedcategories_desc'] = 'If enabled IMS Enterprise will create nested categories';
$string['pluginname'] = 'IMS Enterprise file';
$string['pluginname_desc'] = 'This method will repeatedly check for and process a specially-formatted text file in the location that you specify.  The file must follow the IMS Enterprise specifications containing person, group, and membership XML elements.';
$string['privacy:metadata'] = 'The IMS Enterprise file enrolment plugin does not store any personal data.';
$string['processphoto'] = 'Додади слика на корисник';
$string['processphotowarning'] = 'Известување: Обработувањето на слика за серверот е големо оптоварување. Препорачано е да не ја активирате оваа опција ако голем број на студенти треба да ја користат.';
$string['restricttarget'] = 'Само обработи ги податоците ако е наведена следната цел';
$string['restricttarget_desc'] = 'An IMS Enterprise data file could be intended for multiple "targets" - different LMSes, or different systems within a school/university. It\'s possible to specify in the Enterprise file that the data is intended for one or more named target systems, by naming them in <target> tags contained within the <properties> tag.

In general you don\'t need to worry about this. Leave the setting blank and Moodle will always process the data file, no matter whether a target is specified or not. Otherwise, fill in the exact name that will be output inside the <target> tag.';
$string['roles'] = 'Roles';
$string['settingfullname'] = 'IMS description tag for the course full name';
$string['settingfullnamedescription'] = 'The full name is a required course field so you have to define the selected description tag in your IMS Enterprise file';
$string['settingshortname'] = 'IMS description tag for the course short name';
$string['settingshortnamedescription'] = 'The short name is a required course field so you have to define the selected description tag in your IMS Enterprise file';
$string['settingsummary'] = 'IMS description tag for the course summary';
$string['settingsummarydescription'] = 'Is an optional field, select \'Leave it empty\' if you dont\'t want to specify a course summary';
$string['sourcedidfallback'] = 'Користете ги &quot;sourcedid&quot; за userid на личноста, ако &quot;userid&quot; полето не е најдено';
$string['sourcedidfallback_desc'] = 'In IMS data, the <sourcedid> field represents the persistent ID code for a person as used in the source system. The <userid> field is a separate field which should contain the ID code used by the user when logging in. In many cases these two codes may be the same - but not always.

Some student information systems fail to output the <userid> field. If this is the case, you should enable this setting to allow for using the <sourcedid> as the Moodle user ID. Otherwise, leave this setting disabled.';
$string['truncatecoursecodes'] = 'Скрати ги кодовите на курсот до оваа големина';
$string['truncatecoursecodes_desc'] = 'In some situations you may have course codes which you wish to truncate to a specified length before processing. If so, enter the number of characters in this box. Otherwise, leave the box blank and no truncation will occur.';
$string['updatecourses'] = 'Update course';
$string['updatecourses_desc'] = 'If enabled, the IMS Enterprise enrolment plugin can update course full and short names (if the "recstatus" flag is set to 2, which represents an update).';
$string['updateusers'] = 'Update user accounts when specified in IMS data';
$string['updateusers_desc'] = 'If enabled, IMS Enterprise enrolment data can specify changes to user accounts (if the "recstatus" flag is set to 2, which represents an update).';
$string['usecapitafix'] = 'Обележете го ова поле, ако користите &quot;Capita&quot; (во нивниот XML формат има мали грешки)';
$string['usecapitafix_desc'] = 'The student data system produced by Capita has been found to have one slight error in its XML output. If you are using Capita you should enable this setting - otherwise leave it un-ticked.';
$string['usersettings'] = 'Опции за корисничките податоци';
$string['zeroisnotruncation'] = '0 означува дека нема кратење';
